import React, { Component } from "react";
import { StyleSheet, Text, View } from "react-native";

import { czcionka, wspolczynnikiSkalowania } from "../style/czcionka";
import Dimensions from "Dimensions";
let { width } = Dimensions.get("window");

class NormalnyTekst extends Component {
  static displayName = "NormalText";

  render() {
    return (
      <Text style={[this.props.style, czcionka.normalna, scaled.normalny]}>
        {this.props.children}
      </Text>
    );
  }
}

const scaled = StyleSheet.create({
  normalny: { fontSize: width * 1.0 / wspolczynnikiSkalowania.normalny }
});

export default NormalnyTekst;
